%to X pou dinetai apo tin askisi
X=[-1;0.5;1;2];
%oi rizes tou Willkinson
X1_w=roots(poly(1:12));
%oi rizes tou grcar
X1_g=roots(poly(eig(gallery('grcar',12))));
%oi sintelestes ton poluonimon
A_w=poly(1:12);
A_g=poly(eig(gallery('grcar',12)));
%oi times ton poluonimon gia X
Y1_w=my_val_p_total(A_w,X);
Y1_w=my_val_p_total(A_g,X);

%upologismos ton timon me tis metavoles a
metavoli = 1.0e-07;
A_w=new_a(A_w,metavoli);
A_g=new_a(A_g,metavoli);
X2_w=roots(A_w);
X2_g=roots(A_g);
Y2_w=my_val_p_total(A_w,X);
Y2_g=my_val_p_total(A_g,X);

%upologismos ton timon me tis metavoles b
metavoli = 1.0e-05;
A_w=new_a(A_w,metavoli);
A_g=new_a(A_g,metavoli);
X3_w=roots(A_w);
X3_g=roots(A_g);
Y3_w=my_val_p_total(A_w,X);
Y3_g=my_val_p_total(A_g,X);

%upologismos ton timon me tis metavoles c
metavoli = 1.0e-03;
A_w=new_a(A_w,metavoli);
A_g=new_a(A_g,metavoli);
X4_w=roots(A_w);
X4_g=roots(A_g);
Y4_w=my_val_p_total(A_w,X);
Y4_g=my_val_p_total(A_g,X);

%ektiposi ton rizon Willkinson me tropo pou na mporoume na diaakrinoume tis
%metavoles tous me tin metavoli ton sinteleston
x_w=ones(n_willkinson,1);
plot(x_w,X1_w,'r+');
hold on;
plot(2.*x_w,X2_w,'x');
plot(3.*x_w,X3_w,'g.');
plot(4.*x_w,X4_w,'y*');
legend('xoris metavoli','1.0e-07','1.0e-05','1.0e-03');
hold;

%ektiposi ton rizon grcar me tropo pou na mporoume na diaakrinoume tis
%metavoles tous me tin metavoli ton sinteleston
figure;
x_g=ones(n_grcar,1);
plot(x_g,X1_g,'r+');
hold on;
plot(2.*x_g,X2_g,'x');
plot(3.*x_g,X3_g,'g.');
plot(4.*x_g,X4_g,'y*');
legend('xoris metavoli','1.0e-07','1.0e-05','1.0e-03');
hold;

%taksinomisi ton rizon me vasi tin euaisthisia tous stis metavoles pou ginan
%apo ti riza me ti megaliteri euaistisia pros ti riza me ti mikroteri
S1_w = sort_euaisthisia(X1_w,X2_w)
S2_w = sort_euaisthisia(X1_w,X3_w)
S3_w = sort_euaisthisia(X1_w,X4_w)

S1_g = sort_euaisthisia(X1_g,X2_g)
S2_g = sort_euaisthisia(X1_g,X3_g)
S3_g = sort_euaisthisia(X1_g,X4_g)