function u = REFL(x)
% REFL is a function that takes the x arguent - vector and returns the
% Householder Vector

% n is the size of x vector
n = length(x);

% m is the norm2 of vector x a.k.a. the Euclidean length 
m = norm(x, 2);

u = x;

% if the Euclidean length of vector x isn't zero
if m ~= 0
    b = x(1) + sign( x(1) ) * m;
    u(2 : n) = u(2 : n) / b;
end

u(1) = 1;
end